function show(elements,coordinates,x,S)

h1=figure;

X = reshape(coordinates(elements',1),3,size(elements,1));
Y = reshape(coordinates(elements',2),3,size(elements,1));
%*** extract solution
p = x(1:3*size(elements,1));
u = x(3*size(elements,1)+1:4*size(elements,1));

subplot(2,2,1)

Z = [1;1;1]*u';
fill3(X,Y,Z,'b');
title('u');
view(-62,20);

subplot(2,2,2)
P = reshape(p,3,size(elements,1));
Z = [1;1;1]*P(1,:)+([1;1;1]*P(3,:)).* ...
       (reshape(coordinates(elements',1),3,size(elements,1))- ...
               [1;1;1]*S(:,1)');
fill3(X,Y,Z,'m');
title('p_x');
view(-62,20);

subplot(2,2,3)
Z1 = [1;1;1]*P(2,:)+([1;1;1]*P(3,:)).* ...
       (reshape(coordinates(elements',2),3,size(elements,1))- ...
               [1;1;1]*S(:,2)');
fill3(X,Y,Z1,'y');
title('p_y');
view(-62,20);


subplot(2,2,4)
Z = (Z.^2+Z1.^2).^(1/2);
fill3(X,Y,Z,'g');
title('abs_p');
view(-62,20);





